org.apache.cayenne.access.types

## Class ByteType

- java.lang.Object
- - org.apache.cayenne.access.types.ByteType

- All Implemented Interfaces:
    ExtendedType<Byte>

      public class ByteType
      extends Object
      implements ExtendedType<Byte>

  Handles `java.lang.Byte` type mapping. Can be configured to recast java.lang.Byte to java.lang.Integer when binding values to PreparedStatement. This is a workaround for bugs in certain drivers. Drivers that are proven to have issues with byte values are Sybase and Oracle (Mac OS X only).
  Since:
    1.0.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `widenBytes`

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteType(boolean widenBytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
    `Byte` | `materializeObject(CallableStatement st, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Byte` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject(PreparedStatement statement, Byte value, int pos, int type, int precision)` Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString(Byte value)` Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### widenBytes

          protected boolean widenBytes

  - ### Constructor Detail

    - #### ByteType

          public ByteType(boolean widenBytes)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Byte>`

    - #### materializeObject

          public Byte materializeObject(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Byte>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Byte materializeObject(CallableStatement st,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Byte>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement statement,
                                    Byte value,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Byte>`
      Throws:
        `Exception`

    - #### toString

          public String toString(Byte value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Byte>`
      Parameters:
        `value` - a value to convert to String.

Copyright © 2001–2021 Apache Cayenne. All rights reserved.